Package org.firebirdsql.gds.ng.jna

## Class JnaEventHandle

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractEventHandle
  - - org.firebirdsql.gds.ng.jna.JnaEventHandle

All Implemented Interfaces:
  `EventHandle`

    public final class JnaEventHandle
    extends AbstractEventHandle

Event handle for the JNA protocol.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debugMemoryDump()` Dumps the event buffers to the logger, if debug is enabled.
`protected void` `finalize()`
`int` `getEventId()` Get the internal event id number for this handle
`void` `releaseMemory​(FbClientLibrary clientLibrary)` Releases the native memory held by this event handle.
`protected void` `setEventCount​(int eventCount)` Sets the current known event count for this handle.
`java.lang.String` `toString()`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractEventHandle

`getEventCount, getEventName, onEventOccurred`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### setEventCount

    protected void setEventCount​(int eventCount)

Description copied from class: `AbstractEventHandle`
Sets the current known event count for this handle.

Overrides:
  `setEventCount` in class `AbstractEventHandle`
Parameters:
  `eventCount` - The event count

#### getEventId

    public int getEventId()

Description copied from interface: `EventHandle`
Get the internal event id number for this handle

Returns:
  The internal event id

#### debugMemoryDump

    public void debugMemoryDump()

Dumps the event buffers to the logger, if debug is enabled.

#### releaseMemory

    public void releaseMemory​(FbClientLibrary clientLibrary)

Releases the native memory held by this event handle.

Parameters:
  `clientLibrary` - The client library instance

#### finalize

    protected void finalize()
                     throws java.lang.Throwable

Overrides:
  `finalize` in class `java.lang.Object`
Throws:
  `java.lang.Throwable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`